# Interface ScheduledFuture<V>

Type Parameters:
  `V` - The result type returned by this Future

All Superinterfaces:
  `Comparable<Delayed>, Delayed, Future<V>`

All Known Subinterfaces:
  `RunnableScheduledFuture<V>`

public interface ScheduledFuture<V> extends Delayed, Future<V>
A delayed result-bearing action that can be cancelled. Usually a scheduled future is the result of scheduling a task with a `ScheduledExecutorService`.

Since:
  1.5

## Nested Class Summary

### Nested classes/interfaces declared in interface Future

`Future.State`
Modifier and Type
Interface
Description
`static enum`
`Future.State`
Represents the computation state.

## Method Summary

### Methods declared in interface Comparable

`compareTo`
Modifier and Type
Method
Description
`int`
`compareTo(Delayed o)`
Compares this object with the specified object for order.

### Methods declared in interface Delayed

`getDelay`
Modifier and Type
Method
Description
`long`
`getDelay(TimeUnit unit)`
Returns the remaining delay associated with this object, in the given time unit.

### Methods declared in interface Future

`cancel, exceptionNow, get, get, isCancelled, isDone, resultNow, state`
Modifier and Type
Method
Description
`boolean`
`cancel(boolean mayInterruptIfRunning)`
Attempts to cancel execution of this task.
`default Throwable`
`exceptionNow()`
Returns the exception thrown by the task, without waiting.
`V`
`get()`
Waits if necessary for the computation to complete, and then retrieves its result.
`V`
`get(long timeout, TimeUnit unit)`
Waits if necessary for at most the given time for the computation to complete, and then retrieves its result, if available.
`boolean`
`isCancelled()`
Returns `true` if this task was cancelled before it completed normally.
`boolean`
`isDone()`
Returns `true` if this task completed.
`default V`
`resultNow()`
Returns the computed result, without waiting.
`default Future.State`
`state()`
Returns the computation state.